AliJen

مشکل در PHP 5.4.8

2 پست در این موضوع قرار دارد

سلام و ضمن خسته نباشید

دوستان به نظر شما چرا داخل PHP V5.4.8 این هشدار برای این کد می یاد ؟

از وقتی نسخه PHP سرور رو بروز کردیم همچین ارور امده ، یه سری قسمت های دیگه هم بود بر طرف کردم ولی واقعا در سطر زیر مشکلی نیست آخه !


if ( $post['action'] != '' || $get['action'] != '' )


Warning: Illegal string offset 'action' in /home2/public_html/pay/index.php on line 17

ممنون می شم راهنمایی کنید ، قابل توجه باشه این مشکلی در کارکرد نیست ، اما بالای صفحه همچین هشداری می یاد ...

باتشکر

به اشتراک گذاری این پست


لینک به پست

اول از همه باید $get , $post رو بصورت


$_GET
$_POST

بنویسی

دوماً قبلش چک کن که موجود هست یا نه

سوما وقتی نوعش برات فرقی نداره به این صورت بنویس


$_REQUEST = array_merge($_GET,$_POST);
if( ! empty($_REQUEST['action']))
echo $_REQUEST['action'];

ویرایش شده در توسط rezaonline

به اشتراک گذاری این پست


لینک به پست

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری